Add a competitor

POST
/competitors

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer API token for access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Add a competitor to a brand.

brandId*string
name*string
domains?array<string>
aliases?array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/competitors" \  -H "Content-Type: application/json" \  -d '{    "brandId": "string",    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "brandId": "string",  "name": "string",  "domains": [    "string"  ],  "aliases": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}